# TODO:
# - initscripts
#
Summary:	The iSNS daemon and utility programs
Name:		open-isns
Version:	0.100
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	https://github.com/open-iscsi/open-isns/archive/v%{version}.tar.gz
# Source0-md5:	c197a9fd3aa0e02264b0d2aa315e0dbe
Patch0:		0001-Ignore-common-build-files.patch
Patch1:		0002-Fix-compiler-issue-when-not-in-security-mode.patch
Patch2:		0003-Do-not-ignore-write-return-value.patch
Patch3:		0004-Fix-586-compile-issue-and-remove-Werror.patch
Patch4:		0005-socket.c-include-poll.h-instead-of-sys-poll.h-for-PO.patch
Patch5:		0006-fix-compilation-without-deprecated-OpenSSL-APIs.patch
Patch6:		0007-libisns-remove-sighold-and-sigrelse.patch
URL:		https://www.open-iscsi.com/
BuildRequires:	rpmbuild(macros) >= 1.671
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The iSNS package contains the daemon and tools to setup a iSNS server,
and iSNS client tools. The Internet Storage Name Service (iSNS) protocol
allows automated discovery, management and configuration of iSCSI and
Fibre Channel devices (using iFCP gateways) on a TCP/IP network.

%package -n libisns
Summary:	Shared library files for iSNS
Group:		Development/Libraries

%description -n libisns
Shared library files for iSNS

%package -n libisns-devel
Summary:	Development files for iSNS
Group:		Development/Libraries
Requires:	libisns = %{version}-%{release}

%description -n libisns-devel
Development files for iSNS

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--enable-shared \
	--disable-static \
	--with-slp \
	--without-security

%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags} %{rpmcppflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} install_hdrs \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} install_lib \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libisns -p /sbin/ldconfig
%postun	-n libisns -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README HACKING
%dir %{_sysconfdir}/isns
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/isns/isnsadm.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/isns/isnsd.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/isns/isnsdd.conf
%attr(755,root,root) %{_sbindir}/isnsadm
%attr(755,root,root) %{_sbindir}/isnsd
%attr(755,root,root) %{_sbindir}/isnsdd
%{_mandir}/man5/isns_config.5*
%{_mandir}/man8/isnsadm.8*
%{_mandir}/man8/isnsd.8*
%{_mandir}/man8/isnsdd.8*

%files -n libisns
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libisns.so.0

%files -n libisns-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libisns.so
%dir %{_includedir}/libisns
%{_includedir}/libisns/*.h
%changelog
* Sat Jan 02 2021 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/open-isns.git;a=log;h=master

* Sat Jan 02 2021 Marcin Krol <hawk@tld-linux.org> 6079bef
- new spec

